/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.common.logging;

import org.aspectj.lang.annotation.Pointcut;

public class AspectPointcuts {

	@Pointcut("execution(public * *(..))")
	void anyPublicMethods() {
		// aspect pointcut - no implementation needed
	}

	@Pointcut("within(de.ozgcloud..*)")
	void anythingInOzgCloud() {
		// aspect pointcut - no implementation needed
	}

	@Pointcut("anyPublicMethods() && anythingInOzgCloud()")
	void anyPublicMethodInOzgCloud() {
		// aspect pointcut - no implementation needed
	}

	@Pointcut("anyPublicMethodInOzgCloud() && @target(org.springframework.stereotype.Service)")
	void anyPublicServiceMethod() {
		// aspect pointcut - no implementation needed
	}

}
