com.mycila# OzgCloud Common license

This is a basic Maven-based project that can be used as license provider for all OzgCloud Projects

It provides the the header and full text of the german [EUPL Version 1.2 license][license]


## Usage

It is a library, meant to be included as a dependency on any project which may want to make use of it.

To use it add

```xml
<ozgcloud.license.version>1.4.0</ozgcloud.license.version>
```
to the properties section of the pom.xml file.

In the plugins section add

```xml
<plugin>
	<groupId>com.mycila</groupId>
	<artifactId>license-maven-plugin</artifactId>
	<version>4.1</version>
	<configuration>
		<licenseSets>
			<licenseSet>
				<header>license/eupl_v1_2_de/header.txt</header>
				<excludes>
					<exclude>**/README</exclude>
					<exclude>src/test/resources/**</exclude>
					<exclude>src/main/resources/**</exclude>
					<exclude>pom.xml</exclude>
				</excludes>
			</licenseSet>
		</licenseSets>
	</configuration>
	<dependencies>
        <dependency>
            <groupId>de.ozgcloud.common</groupId>
            <artifactId>ozgcloud-common-license</artifactId>
            <version>${ozgcloud.license.version}</version>
        </dependency>
    </dependencies>
</plugin>
```
To add or update the license header to file run
```
mvn license:format
```

To verify if there are files with missing lisence header run
```
mvn license:check
```

For more information about the usage see the [Plugin Homepage][pluginHomePage]

## License

The project has been released under the [EUPL License][license].

[license]: https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
[pluginHomePage]: https://mycila.carbou.me/license-maven-plugin/
